> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.impala-courier.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.impala-courier.com/_mcp/server.

# 3. Get Pricing Items

GET https://api.impala-courier.com/api/public/pricing/items

Returns value-based pricing tiers (used with `pricingItemIds` when creating a value-based shipment). Both query parameters are optional and can be combined or omitted to list all items.

Reference: https://docs.impala-courier.com/impala-courier-e-commerce-api/3-get-pricing-items

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /api/public/pricing/items:
    get:
      operationId: 3-get-pricing-items
      summary: 3. Get Pricing Items
      description: >-
        Returns value-based pricing tiers (used with `pricingItemIds` when
        creating a value-based shipment). Both query parameters are optional and
        can be combined or omitted to list all items.
      tags:
        - ''
      parameters:
        - name: category
          in: query
          description: Optional. Filter by category name (see Get Pricing Categories).
          required: false
          schema:
            type: string
        - name: search
          in: query
          description: Optional. Free-text search on item name.
          required: false
          schema:
            type: string
        - name: X-API-Key
          in: header
          required: true
          schema:
            type: string
        - name: X-API-Key
          in: header
          description: Your shop's API key
          required: false
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/3. Get Pricing Items_Response_200'
servers:
  - url: https://api.impala-courier.com
    description: https://api.impala-courier.com
components:
  schemas:
    ApiPublicPricingItemsGetResponsesContentApplicationJsonSchemaDataItems:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        price:
          type: integer
        category:
          type: string
        maxValue:
          type: integer
        minValue:
          type: integer
      required:
        - id
        - name
        - price
        - category
        - maxValue
        - minValue
      title: ApiPublicPricingItemsGetResponsesContentApplicationJsonSchemaDataItems
    3. Get Pricing Items_Response_200:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: >-
              #/components/schemas/ApiPublicPricingItemsGetResponsesContentApplicationJsonSchemaDataItems
        success:
          type: boolean
      required:
        - data
        - success
      title: 3. Get Pricing Items_Response_200
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key

```

## Examples



**Response**

```json
{
  "data": [
    {
      "id": 1,
      "name": "Mobile Phone",
      "price": 7500,
      "category": "Electronics",
      "maxValue": 100000,
      "minValue": 0
    },
    {
      "id": 2,
      "name": "Mobile Phone (Premium)",
      "price": 15000,
      "category": "Electronics",
      "maxValue": 500000,
      "minValue": 100001
    }
  ],
  "success": true
}
```

**SDK Code**

```python 3. Get Pricing Items_example
import requests

url = "https://api.impala-courier.com/api/public/pricing/items"

querystring = {"category":"Electronics","search":"phone"}

headers = {"X-API-Key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript 3. Get Pricing Items_example
const url = 'https://api.impala-courier.com/api/public/pricing/items?category=Electronics&search=phone';
const options = {method: 'GET', headers: {'X-API-Key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go 3. Get Pricing Items_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.impala-courier.com/api/public/pricing/items?category=Electronics&search=phone"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("X-API-Key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby 3. Get Pricing Items_example
require 'uri'
require 'net/http'

url = URI("https://api.impala-courier.com/api/public/pricing/items?category=Electronics&search=phone")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java 3. Get Pricing Items_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.impala-courier.com/api/public/pricing/items?category=Electronics&search=phone")
  .header("X-API-Key", "<apiKey>")
  .asString();
```

```php 3. Get Pricing Items_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.impala-courier.com/api/public/pricing/items?category=Electronics&search=phone', [
  'headers' => [
    'X-API-Key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp 3. Get Pricing Items_example
using RestSharp;

var client = new RestClient("https://api.impala-courier.com/api/public/pricing/items?category=Electronics&search=phone");
var request = new RestRequest(Method.GET);
request.AddHeader("X-API-Key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift 3. Get Pricing Items_example
import Foundation

let headers = ["X-API-Key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.impala-courier.com/api/public/pricing/items?category=Electronics&search=phone")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```